# std::swap(std::basic_fstream)

From cppreference.com
< cpp‎ | io‎ | basic fstream

template< class CharT, class Traits > void swap( basic_fstream<CharT,Traits> &lhs, basic_fstream<CharT,Traits> &rhs ); |  |

Specializes the std::swap algorithm for std::basic_fstream. Exchanges the state of `lhs` with that of `rhs`. Effectively calls lhs.swap(rhs).

### Parameters

lhs, rhs | - | streams whose state to swap

### Return value

(none)

### Exceptions

(none)

### Example

| This section is incomplete Reason: no example

### See also

swap (C++11) | swaps two file streams (public member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/io/basic_fstream/swap2&oldid=96193"